package com.sd.business.entity.sku.dto;

import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.po.SkuSpecLink;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * sku规格新增编辑入参实体
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
public class SkuSpecDto extends SkuSpec {

    /**
     * 包材
     */
    @NotNull(message = "包材列表不能为空")
    @Valid
    private List<SkuSpecLink> packagingMaterialList;

    /**
     * 快递
     */
    @NotNull(message = "快递列表不能为空")
    @Valid
    private List<SkuSpecLink> expressPackingList;

}
