package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * sku
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
@TableName("sku")
public class Sku extends BasePo {

    /**
     * 万里牛uid
     */
    private String wlnSkuId;

    /**
     * 万里牛分类id
     */
    private String wlnCatagoryId;

    /**
     * 类型 0非集团SKU 1集团SKU
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 来源 1自定义添加 2万里牛
     */
    private Integer source;

    /**
     * 类目id
     */
    private Long skuClassifyId;

    /**
     * 条码
     */
    private String barCode;

    /**
     * 群组品号
     */
    @NotBlank(message = "群组品号不能为空")
    private String code;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 材质
     */
    private String material;

    /**
     * 型号
     */
    private String modelNumber;

    /**
     * 产品主图
     */
    private String mainImgUrl;

    /**
     * 详细描述
     */
    private String detailText;

    /**
     * 备注
     */
    private String remark;

}
