package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * sku规格关联
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
@TableName("sku_spec_link")
public class SkuSpecLink extends BasePo {

    /**
     * sku id
     */
    private Long skuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 关联类型 1包材 2快递包装
     */
    private Integer type;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    @DecimalMin(value = "0.01", message = "必须大于0")
    private BigDecimal quantity;

}
