package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuDto;
import com.sd.business.entity.sku.dto.SkuSelectDto;
import com.sd.business.entity.sku.po.Sku;
import com.sd.business.entity.sku.vo.SkuVo;


/**
 * <p>
 * sku 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface SkuService extends BaseService<Sku> {

    /**
     * sku分页
     */
    Page<SkuVo> getPage(SkuSelectDto dto);

    /**
     * sku明细
     */
    SkuVo detail(Long id);

    /**
     * sku新增
     */
    void add(SkuDto dto);

    /**
     * sku编辑
     */
    void edit(SkuDto dto);

    /**
     * sku删除
     */
    void delete(Long id);

}
